Bug 56409 - Misleading message when attempting to up2date a "skipped" package
Misleading message when attempting to up2date a "skipped" package
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-16 16:53 EST by David M. Cook
Modified: 2015-01-07 18:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-03 13:17:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David M. Cook 2001-11-16 16:53:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
When trying to up2date a package that has been marked to be skipped, or
which contains a file marked to be skipped, one gets the final message:

None of the packages you requested were found, or they are already updated.

Neither statement is correct, and they also contradict the immediately
previous output that shows which packages were skipped.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Add a package to the package skip list
2.up2date package
3.
	

Actual Results:  The following Packages were marked to be skipped by your
configuration:

Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
apache                                  1.3.22         1.7  Pkg name/pattern

None of the packages you requested were found, or they are already updated.





Expected Results:  A sensible message that doesn't contradict the list of
skipped packages, such as "The packages you requested could not be installed."

Additional info:

up2date-2.7.11-7.x.1
Comment 1 Adrian Likins 2001-12-03 13:17:33 EST
I'll take a look at making the error message more meaningful for the
next release.
Comment 2 Adrian Likins 2002-05-08 17:43:12 EDT
The current version of the client as released in 7.3 should be
better at this.

Note You need to log in before you can comment on or make changes to this bug.